设置 AutoCAD 在其中查找外部参照文件的目录。 支持的平台:仅窗口 签名工 务 局: object.SetProjectFilePath ProjectName, ProjectFilePath
返回值(RetVal)无返回值。 言论没有额外的评论。 例子工 务 局: Sub Example_SetProjectFilePath() ' This example finds the current project file information, changes ' that information, and finally resets the information back to the ' original values. Dim preferences As AcadPreferences Set preferences = ThisDrawing.Application.preferences ' Get the current project file information Dim currProjPath As String Dim currProjName As Variant currProjName = ThisDrawing.GetVariable("PROJECTNAME") If currProjName <> "" Then currProjPath = preferences.GetProjectFilePath(currProjName) End If If currProjPath = "" Then MsgBox "There is no current project file or path. ", , "SetProjectFilePath Example" Else MsgBox "The current project file path is: " & currProjPath, , "SetProjectFilePath Example" ' Set new project file information. ' Change drive/path as necessary to match your system Dim newProjPath As String newProjPath = "C:/AutoCAD/" preferences.SetProjectFilePath currProjName, newProjPath MsgBox "The new project file path is: " & newProjPath, , "GetProjectFilePath Example" ' Reset the project file information preferences.SetProjectFilePath currProjName, currProjPath MsgBox "The project file path has been reset to: " & currProjPath, , "GetProjectFilePath Example" End If End Sub Visual LISP: (vl-load-com) (defun c:Example_SetProjectFilePath() ;; This example finds the current project file information, changes ;; that information, and finally resets the information back to the ;; original values. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq preferences (vla-get-Preferences acadObj)) ;; Get the current project file information (setq currProjName (vlax-variant-value (vla-GetVariable doc "PROJECTNAME"))) (if (/= currProjName "") (setq currProjPath (vla-GetProjectFilePath (vla-get-Files preferences) currProjName)) (setq currProjPath "") ) (if (= currProjPath "") (alert "There is no current project file or path. ") (progn (alert (strcat "The current project file path is: " currProjPath)) ;; Set new project file information. ;; Change drive/path as necessary to match your system (setq newProjPath "C:/AutoCAD/") (vla-SetProjectFilePath (vla-get-Files preferences) currProjName newProjPath) (alert (strcat "The new project file path is: " newProjPath)) ;; Reset the project file information (vla-SetProjectFilePath (vla-get-Files preferences) currProjName currProjPath) (alert (strcat "The project file path has been reset to: " currProjPath)) ) ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:33
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.